<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>SE Code of Ethics</title>
</head>
<body>
	<em>Science and Enginerring Ethics (2001)7, 231-238</em>
<hr>
	<!-- h1 -> heading 1 -->
	<!-- We are using h1 for title or headings -->
	<h1>Software Engineering Code of Ethics and Professional Practice</h1>
	<!-- Creates a smaller heading text -->
	<p><strong>IEEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional Practices</strong></p>
	<hr>
	<!-- Creates a smaller heading text -->
	<p><strong>Keyword:</strong> code of ethics, professional responsibility, software engineering</p>
	<!-- Creates a smaller heading text -->
	<h2>Preamble</h2>
	<!-- Creates a smaller heading text -->
	<p>The short version of code summarizes aspirations at a high level of abstraction. The clauses that are included in the full version give examples and details of how these aspiration change the way act as software engineering professionals. Without aspirations, details can be legalistic and tedious;without the detail,the aspiration can become high-sounding but empty; together, the aspirations and the details form a cohesive code.</p>
	
	<p>Software engineers shall commit themselves to making the analysis, specification, design, development, testing, and maintenance of software a beneficial and respected profession. In accordance with their commitment to the health, safety, and welfare of the public, software engineers shall adhere to the following eight Principles:</p>
	<!-- Creates a smaller heading text -->
	<h4>PRINCIPLES</h4>
	

		<!-- ul -> Create an unordered list with bullet points -->
		<!-- ul -> ordered list of numbers  -->
		<!-- ol -> creates an ordered list with numbers -->
	
	<ol>
		<li>
		<em>Public.</em> Software engineers shall act consistently with the public interest.
		</li>
		<li>
		<em>Client and employer.</em>Software engineers shall act in a manner that is in the best interests the interests of their client and employer, consistent with the public interest.
		</li>
		<li>
		<em>Product.</em>Software Engineers shall ensure that their products and related modifications meet the highest professional standards possible.
		</li>
		<li>
	<em>Judgement.</em> Software engineers shall maintain integrity and independence in their professional judgement.
	</li>
	<li>
	<em>Management</em> Software engineering managers and leaders shall subscribe to and promote an ethical approach to the management of software development and maintenance
	</li>
	<li>
	<em>Profession</em> Software engineers shall advance the integrity and reputation of the profession consistent with the public interest. 
	</li>
	<li>
	<em>Colleagues.</em> Software engineers shall be fair to and supportive of their colleagues.
	</li>
	<li>
	<em>Self.</em> Software engineers shall participate in lifelong learning regarding the practice of their profession and shall promote an ethical approach to the practice of the profession
	</li>
</ol>
</body>
</html>